commit:     10c3378f2ec1f4f02d92d3ad4fc8bb4a548bc862
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Fri Mar  6 14:52:27 2020 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Fri Mar  6 14:59:20 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=10c3378f

sci-libs/m4rie: new package for matrices over GF(2^e) with "e" small.

The m4rie package is an extension of sci-libs/m4ri. It is used by
SageMath, which can now detect and use the system copy of m4rie. Its
inclusion therefore prevents pointless rebuilds of m4rie by users of
SageMath on Gentoo. The ebuild was imported from the sage-on-gentoo
overlay where François Bissey has been maintaining it.

Closes: https://bugs.gentoo.org/711498
Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>

 sci-libs/m4rie/Manifest              |  1 +
 sci-libs/m4rie/m4rie-20200115.ebuild | 31 +++++++++++++++++++++++++++++++
 sci-libs/m4rie/metadata.xml          | 30 ++++++++++++++++++++++++++++++
 3 files changed, 62 insertions(+)

diff --git a/sci-libs/m4rie/Manifest b/sci-libs/m4rie/Manifest
new file mode 100644
index 00000000000..4dda6fb591c
--- /dev/null
+++ b/sci-libs/m4rie/Manifest
@@ -0,0 +1 @@
+DIST m4rie-20200115.tar.gz 500702 BLAKE2B 
d8b1506ef9902def6577851a97dd6f7da986dce39b3250f9f9b66f9caf8f811568b7975165fb75b6b8ab3c9faf65d890f7c2254725224266f1250a0bcf18a464
 SHA512 
22c990cf06de9ac790f82f48e498b2bfc87fdf6834257f4e4a4c44e2446b4226438d21692d654008b58df36d8da746bba04dcf1a3d50e34ccf8c678efd5b642b

diff --git a/sci-libs/m4rie/m4rie-20200115.ebuild 
b/sci-libs/m4rie/m4rie-20200115.ebuild
new file mode 100644
index 00000000000..676a82f2a93
--- /dev/null
+++ b/sci-libs/m4rie/m4rie-20200115.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Fast dense matrix arithmetic over GF(2^e) for 2 <= e <= 16"
+HOMEPAGE="https://bitbucket.org/malb/m4rie/";
+SRC_URI="https://bitbucket.org/malb/${PN}/downloads/${P}.tar.gz";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="debug static-libs"
+
+DEPEND=">=sci-libs/m4ri-20140914"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+       # m4rie doesn't actually have any openmp code. The configure flag
+       # stems from a mistaken belief that it needs to be there to use the
+       # openmp code in m4ri.
+       econf \
+               --disable-openmp \
+               $(use_enable debug) \
+               $(use_enable static-libs static)
+}
+
+src_install(){
+       default
+       find "${ED}" -name '*.la' -delete || die
+}

diff --git a/sci-libs/m4rie/metadata.xml b/sci-libs/m4rie/metadata.xml
new file mode 100644
index 00000000000..33cb9a18e32
--- /dev/null
+++ b/sci-libs/m4rie/metadata.xml
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+  <maintainer type="person">
+    <email>[email protected]</email>
+  </maintainer>
+  <!--
+      mjo: François maintained this package in the sage-on-gentoo overlay
+      long before I moved it into ::gentoo. You don't need an ACK from me
+      to merge his changes.
+  -->
+  <maintainer type="person">
+    <email>[email protected]</email>
+    <name>François Bissey</name>
+  </maintainer>
+  <maintainer type="project">
+    <email>[email protected]</email>
+    <name>Proxy Maintainers</name>
+  </maintainer>
+
+  <longdescription>
+    M4RIE is a library for fast arithmetic with dense matrices over
+    GF(2^e) for "e" between 2 and 16, inclusive. The name stems from
+    the fact that it relies heavily on M4RI.
+  </longdescription>
+
+  <upstream>
+    <remote-id type="bitbucket">malb/m4rie</remote-id>
+  </upstream>
+</pkgmetadata>

Reply via email to